<% content_for :footer do %>
  <%= javascript_include_tag 'images' %>
<% end %>

<% content_for :head do %>
  <%= stylesheet_link_tag 'images' %>
<% end %>

<%= hidden_field_tag 'image_id', @image.id %>

<section class="portfolio" id="portfolio">
  <div class="container">
    <div class="row">
      <div class="col-md-6 col-lg-6">
        <div class="row">
          <div class="col-md-6 col-lg-6">
            <h5>Original Image</h5>
          </div>
          <div class="col-md-6 col-lg-6">
            <%= link_to 'Upload another image', "/images", class: "float-right btn btn-primary" %>
          </div>
        </div>
        <hr/>
        <%= image_tag(@image.file.service_url, width: "100%") %>
      </div>

      <div class="col-md-6 col-lg-6">
        <div class="row">
          <div class="col-md-6 col-lg-6 compressed_image_components">
            <h5>Compressed Image</h5>
          </div>
          <div class="col-md-6 col-lg-6 compressed_image_components">
            <%= link_to 'Download', "/#{@image.compressed_file_url_path}", download: "compressed_#{@image.file.filename}", class: "float-right btn btn-info", id: 'image_download' %>
          </div>
        </div>

        <div id="image_loader" style="display:none"> 
          <span>Please wait while your image is being optimized</span> 
          <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
        </div>  
        <hr class="compressed_image_components" />
        <%= image_tag("/#{@image.compressed_file_url_path}", width: "100%", id: "image_container", class: "compressed_image_components") %>
      </div>
    </div>
  </div>
</section>




